-- All PE file headers
-- (c) FSC, 2007

require("Exe\\DOSHeader")
require("Exe\\PEHeader")

-- setup view parameters
CommentPos = 64

local _PEFile = function()
    local PEPos = IMAGE_DOS_HEADER("DOSHeader", "DOS .EXE header")
    local CurPos = GetFilePosition().Offset
    local DOSBytes = PEPos - CurPos
    CrLf()
    if DOSBytes > 0 then
        Hex()
        BYTE("DOSStub", nil, DOSBytes)
        CrLf()
    end
    IMAGE_NT_HEADERS("NTHeaders")
end

PEFile = struct("PE_FILE", _PEFile)
PEFile("PEFile")
